public inbox for linux-block@vger.kernel.org
 help / color / mirror / Atom feed
From: Christoph Hellwig <hch@lst.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org
Subject: [PATCH blktests 13/13] zbd: allow falling back to builtin null_blk
Date: Fri,  3 Jun 2022 06:55:58 +0200	[thread overview]
Message-ID: <20220603045558.466760-14-hch@lst.de> (raw)
In-Reply-To: <20220603045558.466760-1-hch@lst.de>

Use _configure_null_blk to configure the fallback device and thus allow
for a built-in null_blk driver.

Signed-off-by: Christoph Hellwig <hch@lst.de>
---
 tests/zbd/rc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/tests/zbd/rc b/tests/zbd/rc
index 9deadc1..e56d607 100644
--- a/tests/zbd/rc
+++ b/tests/zbd/rc
@@ -13,7 +13,7 @@
 
 group_requires() {
 	_have_root && _have_program blkzone && _have_program dd &&
-		_have_kernel_option BLK_DEV_ZONED && _have_modules null_blk &&
+		_have_kernel_option BLK_DEV_ZONED && _have_null_blk &&
 		_have_module_param null_blk zoned
 }
 
@@ -25,10 +25,11 @@ group_device_requires() {
 }
 
 _fallback_null_blk_zoned() {
-	if ! _init_null_blk zone_size=4 gb=1 zoned=1 ; then
+	if ! _configure_null_blk nullb1 zone_size=4 size=1048576 zoned=1 \
+			power=1; then
 		return 1
 	fi
-	echo /dev/nullb0
+	echo /dev/nullb1
 }
 
 #
-- 
2.30.2


  parent reply	other threads:[~2022-06-03  4:56 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-03  4:55 allow to run most tests with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 01/13] common/null_blk: remove explicit queue_mode=2 parameters Christoph Hellwig
2022-06-07  1:47   ` Chaitanya Kulkarni
2022-06-03  4:55 ` [PATCH blktests 02/13] common/null_blk: allow _configure_null_blk with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 03/13] common/null_blk: respect RUN_FOR_ZONED in _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 04/13] block/029: don't require modular null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 05/13] block/006: convert to use _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 06/13] block/016: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 07/13] block/017: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 08/13] block/018: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 09/13] block/020: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 10/13] block/021: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 11/13] block/023: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 12/13] block/024: " Christoph Hellwig
2022-06-03  4:55 ` Christoph Hellwig [this message]
2022-06-06 10:41   ` [PATCH blktests 13/13] zbd: allow falling back to builtin null_blk Shinichiro Kawasaki
2022-06-06 11:44 ` allow to run most tests with built-in null_blk Shinichiro Kawasaki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220603045558.466760-14-hch@lst.de \
    --to=hch@lst.de \
    --cc=linux-block@vger.kernel.org \
    --cc=shinichiro.kawasaki@wdc.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox